Infra APIProxies
Register a proxy entry
Registers a proxy entry that exposes a VM-internal port at a public hostname via Traefik
POST
/api/v1/proxiesRegisters a proxy entry that exposes a VM-internal port at a public hostname via Traefik
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Request Body
application/json
Service registration
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/proxies" \ -H "Content-Type: application/json" \ -d '{}'{ "deployment_type": "string", "external_url": "string", "id": "string", "service_name": "string", "vm_id": "string", "vm_port": 0}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}